AnsweredAssumed Answered

Need middle version when updating geodatabase from 10.0 to 10.6.1?

Question asked by derrick.gregory_cor on May 7, 2019
Latest reply on May 8, 2019 by derrick.gregory_cor

My org is in the midst of creating new enterprise geodatabases for our editors.  Part of that involves keeping their old Archiving data. We want to backup and restore the old db and restore it on a new instance and just have it as reference data for users to browse if they need it. We're using SQL Server for all of our databases.

 

On the doc page for upgrading (Upgrade an enterprise geodatabase in SQL Server—Help | ArcGIS Desktop ) it mentions this line for upgrading to 10.6.1 from 10.0:

If your geodatabase is at release 10 or earlier, you must first upgrade to a supported geodatabase release before you can upgrade to the current ArcGIS release.

Does this mean I need to upgrade TWICE by upgrading the db using some middle version of the ArcGIS Desktop client and THEN upgrading to my target 10.6.1 version? The documentation doesn't go into much detail beyond what I have listed above and I would like to know. How does that work, if that is truly the case that I have to upgrade twice?

 

Thank you!

sql server geodatabase upgrade geodatabase

Outcomes